function doHelp(e) {
   var sel;
   if(window.getSelection)
      sel = window.getSelection();
   else if(document.selection && document.selection.createRange)
      sel = document.selection.createRange().text;
   if(!e) e = window.event;
   if(sel && e.ctrlKey && e.keyCode == 191) {
      var url = "http://en.wikipedia.org/w/wiki.phtml?search="+escape(sel);
      var status = window.open(
         url,"SetupHelp",
         "scrollbars=1,toolbar=0,status=0,resizable=1,height=550,width=860");
      if(status == 0) alert('Your browser is blocking the pop-up window');
      return false;
   }
   return true;
}
document.onkeydown=doHelp;


function getWinPos()
{
   var w;
   var h;
   if (self.innerWidth) {
      w = self.innerWidth;
      h = self.innerHeight;
   }
   else if (document.documentElement && document.documentElement.clientWidth){
      w = document.documentElement.clientWidth;
      h = document.documentElement.clientHeight;
   }
   else if (document.body) {
      w = document.body.clientWidth;
      h = document.body.clientHeight;
   }
   else {
      w=400;
      h=400;
   }
   return {w:w,h:h};
};

function initHelp(type, base)
{
   base = base ? base : ""
   $("img[hlp]").mouseover(function(e) {
      $("#help").html("<h1>Loading help...</h1>");
      var ws = getWinPos();
      var calcWidth = e.pageX - 60;
      if(calcWidth<20) calcWidth=20;
      var h = parseInt(calcWidth*1.3333);
      var y = e.pageY - h;
      var offs;
      if(window.pageYOffset) offs=window.pageYOffset;
      else offs = document.documentElement.scrollTop;
      offs +=5;
      if(y < offs) y = offs;
      $("#help").show().css("top", y).width(calcWidth).load(base+'help/'+type+'/'+$(this).attr('hlp')+'.txt');
   }).mouseout(function() {
      $("#help").hide();
   });
};
