<?lsp

local mailutil=require"mailutil"

local jobkey,jobcount = mailutil.getjob()
if request:header"x-requested-with" then
   response:json{jobcount=jobcount and jobcount+1 or 0}
end

local env,conn = bd.openDb"bd"
_ENV.conn=conn
_ENV.jobkey=jobkey
response:include".listjobs.lsp"
title="Menu: Mail Manager: Job Queue"
response:include"/rtl/.header.lsp"

if request:data'delemsg' then mailutil.geterr(true) end
local errmsg=mailutil.geterr()
if errmsg then
?>
<form method="POST">
<fieldset><legend> Error Message: </legend>
<div><?lsp=errmsg?></div>
<input type="submit" name="delemsg" value="Delete Error Message"/>
</fieldset>
</form>
<p><br/></p>
<?lsp
end
if emitJobs(true) == 0 then
   _emit'<p>The job queue is empty!</p>'
elseif jobcount then
?>
<p>Sending email #<span id="jobcount"><?lsp=jobcount+1?></span>.</p>
<script>
$(function() {
   window.setInterval(function() {
      $.getJSON(window.location, function(resp) {
         if(resp.jobcount == 0)
            location.reload(true);
         else
            $("#jobcount").html(resp.jobcount+""); 
      });
      }, 5000);
});
</script>
<?lsp
end

bd.closeDb(env,conn)
response:include".footer.lsp"
?>
