
function getWinPos()
{
   var w;
   var h;
   if (self.innerWidth) {
      w = self.innerWidth;
      h = self.innerHeight;
   }
   else if (document.documentElement && document.documentElement.clientWidth){
      w = document.documentElement.clientWidth;
      h = document.documentElement.clientHeight;
   }
   else if (document.body) {
      w = document.body.clientWidth;
      h = document.body.clientHeight;
   }
   else {
      w=400;
      h=400;
   }
   return {w:w,h:h};
};


function resetZebra()
{
   $("tr").removeClass("even").removeClass("odd");
   $("tr:even").addClass("even");
   $("tr:odd").addClass("odd");
};

function cleanImg(loadedImg)
{
   $("#preview").hide();
   var img = $("#PreviewImg").hide().get(0);
   img.src=null;
   if(loadedImg) {
      $(loadedImg).unbind();
      loadedImg.src=null;
   }
};

function initImgMouseEv()
{
   var loadedImg;
   var calcWidth;
   var timerVal;
   var stopTimer=function() {
      if(timerVal) {
         clearInterval(timerVal);
         timerVal=0;
      }
   };
   $(".imgt").mouseover(function(e) {
      var a = this;
      timerVal = setInterval(function() {
         stopTimer();
         var name=$(a).attr('name');
         $("#PreviewTxt").html("Loading: "+unescape(name));
         var ws = getWinPos();
         var x=e.pageX+100;
         calcWidth = ws.w - x - 50;
         if(calcWidth<20) calcWidth=20;
         var h = parseInt(calcWidth*1.3333);
         var y = e.pageY - h;
         var offs;
         if(window.pageYOffset) offs=window.pageYOffset;
         else offs = document.documentElement.scrollTop;
         offs +=5;
         if(y < offs) y = offs;
         loadedImg=document.createElement('img');
         loadedImg.src=$(a).attr('href');
         $(loadedImg).bind('load', function() {
            var img = $("#PreviewImg").get(0);
            img.src=loadedImg.src;
            var w = loadedImg.width;
            var h = loadedImg.height;
            $("#PreviewTxt").html("Image width: "+w+", Image height: "+h);
            calcWidth-=10;
            if(w > calcWidth) {
               img.width=calcWidth;
            }
            $(img).show();
         });
         $("#preview").show().css("left", x).css("top", y).width(calcWidth);
      }, 1000);
      return false;
   });
   $(".imgt").mouseout(function() {
      stopTimer();
      cleanImg(loadedImg);
      loadedImg=undefined;
      return false;
   });
   $(".imgt").click(function() {
      stopTimer();
      cleanImg(loadedImg);
      loadedImg=undefined;
      parent.selImage(escape(unescape($(this).attr('href'))));
      return false;
   });
};


$(document).ready(function(){
   try {
      $("table").tablesorter(
      {
        sortList: [[1,0],[0,0]],
        textExtraction: function(node) {  
           var t;
           var cn0=node.childNodes[0];
           if(cn0 && cn0.hasChildNodes()) {
              t = cn0.innerHTML;
           }
           else {
              if(cn0 && cn0.nodeName == "IMG") t="-1";
              else t = node.innerHTML;
           }
           return t;
        }});
      $("tr:even").addClass("even");
      $("tr:odd").addClass("odd");
   }
   catch(e) {}

   $("th").click(function() {resetZebra();});
   $("#menu [rp]").mouseover(function(e) {
      $("#rptxt").html($(this).attr('rp'));
      $("#rp").css("top", e.pageY+20).show();
   }).mouseout(function() {
      $("#rp").hide();
   });
   initImgMouseEv();
});

