<?lsp
local s=request:session()
local cms=app.getCmsTab(s)
local cfg = cms.imgUplCfg
if not cfg then
   response:sendredirect"../images.lsp"
   return
end

local doneUplUrl = cms.doneUplUrl and cms.doneUplUrl or "../images.lsp"

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<title>Configure Image Uploader</title>
<link href="../style.css" rel="stylesheet" type="text/css" />
<style type="text/css">
body {
  padding:0;
  margin:0;
  background:#F1F3F1;
  font-weight:bold;
}
td {
   vertical-align: top;
}
iframe {
  padding:0;
  margin:0;
  border: 0
}
legend {
  color:blue;
}
</style>
<script type="text/javascript" src="/rtl/jquery.js"></script>
<script type="text/javascript">

$(function(){
   $("#donebut").click(function() {
      parent.window.location='<?lsp=doneUplUrl?>';
      return false;
   });
   if (top.location == location) location.href = "../images.lsp";
});


var firstTime = true;
function setStat(files,images, busy) {
   if(firstTime) {
      firstTime=false;
   }
   $("#files").html(files+"");
   $("#images").html(images+"");
   if(busy == true) {
      $("#donebut").hide();
      $("#busyimg").show();
   }
   else {
      $("#donebut").show();
      $("#busyimg").hide();
   }
}

</script>
</head>
<body>
<table style="width:100%">
  <tr>
    <td>
      <iframe src="uploadlog.lsp" style="border:0" width="100%" height="110px"></iframe>
    </td>
    <td style="width:130px">
      <fieldset><legend>Image Properties</legend>
      <table>
        <tr><td>Width:</td><td><?lsp=cfg.w?></td></tr>
        <tr><td>Height:</td><td><?lsp=cfg.h?></td></tr>
        <tr><td>Quality:</td><td><?lsp=cfg.quality?>%</td></tr>
      </table>
      </fieldset>
    </td>
    <td style="width:180px">
      <fieldset><legend>Upload Statistics</legend>
      <table>
        <tr><td>Files Uploaded:</td><td id="files"><?lsp=cfg.stats.files?></td></tr>
        <tr><td>Images Converted:</td><td id="images"><?lsp=cfg.stats.images?></td></tr>
      </table>
      </fieldset>
      <button id="donebut" type="button" style="float:right;margin-top:10px">Done Uploading</button>
        <img id="busyimg" style="margin-left:80px;display:none" src="/album/lightbox-ico-loading.gif" />
    </td>
  </tr>
</table>
</body>
</html>
