function browseImg(id)
{
  window.open('ImageSelector.html?id='+id,'Browse Img','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=640,height=480,top=100');
};

function setCatLegend()
{
  $('#catlegend').html('Category "'+selCatName+'" Feed Settings');
  $('#rowid').attr("value",selCatRowid);
  rpc.category.info(function(status, data) {
     if(status) {
        $('#description').attr("value",data.description);
        $('#ttl').attr("value",data.ttl);
        $('#maxlen').attr("value",data.maxlen);
        $('#image').attr("value",data.image);
        var name=selCatName.replace(/\s/g, "-");
        $('#CatFeedUrl').attr('href', "/blog/"+name+".rss");
     }
     else
        alert(data.message);
  }, selCatRowid);
};


function trimWS(s)
{
  return s.replace(/(^\s+)|(\s+$)/g, "");
};

onload=function()
{
   $('#EnableRSS').click(function() {
      if(trimWS($('#title').attr("value")).length == 0 ||
         trimWS($('#MainDescr').attr("value")).length == 0)
      {
         if($(this).get(0).checked) {
            alert("You must enter the following before you can enable RSS:\n 1: Blog Title\n 2: Description");
         }
         $(this).get(0).checked=false;
      }
   });
   initHelp('rss');
   setSelCatRowid();
   rpc = new JRpc("EditBlogWS.lsp", function(isOk, err) {
      if(!isOk) {
         alert(err);
         return;
      }
      if($('#category').get(0)) {
         rpc.category.list(function(status, data) {
            refreshCategoriesResp(status, data);
            if(categories && categories.length) {
               if(selCatRowid == null) {
                  selCatRowid = $('#category:first').attr('value');
                  setCategory();
               }
               setCatLegend();
               $('#catdiv').show();
            }
         });
         $('#category').change(function() {
            selCatRowid = $('#category option:selected').attr('value');
            setCategory();
            setCatLegend();
         });
      }
   });
};
