<?lsp

-- This code is run via .footer.lsp, which includes this file as a
-- hidden iframe. This page immediately returns and then goes on to
-- search for UPnP gateway devices. The default time is 5
-- seconds. This construction allows the server to search for UPnP
-- gateway devices in parallel with the wizard, without the user
-- having to wait for the search to complete.

local html="<html><body></body></html>"

response:downgrade()
response:clearkeepalive()
response:setcontentlength(#html)
response:write(html)
response:flush()

 -- Stop searching on this page
function isSearchUPnPPage()
   local r = request:header"referer"
   if r then
      if string.find(r, "SearchUPnP", 1, TRUE) then
         return true
      end
   end
   return false
end

if request:user() then
   if page.stop or isSearchUPnPPage() then
      page.stop=true
      return
   end
   app.upnpdiscover()
end
?>
